<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.0.1
 * @lastmodified    July 11, 2015
 */
 
if(defined('WB_URL')) {

	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_btcolumns_content`");
	$mod_btcolumns_content = 'CREATE TABLE `'.TABLE_PREFIX.'mod_btcolumns_content` ( '
		. '`section_id` INT(10) NOT NULL DEFAULT \'0\','
		. '`page_id` INT NOT NULL DEFAULT \'0\' ,'
		. '`column_id` INT(10) NOT NULL AUTO_INCREMENT,'
		. '`title` VARCHAR(255) NOT NULL DEFAULT \'\','
		. '`content` TEXT NOT NULL,'
		. '`pos` INT(10) NOT NULL DEFAULT \'0\','
		. 'PRIMARY KEY (column_id)'
		. ')';
	$database->query($mod_btcolumns_content);
	
	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_btcolumns_settings`");
	$mod_btcolumns_settings = 'CREATE TABLE `'.TABLE_PREFIX.'mod_btcolumns_settings` ( '
		. '`section_id` INT(10) NOT NULL DEFAULT \'0\','
		. '`page_id` INT NOT NULL DEFAULT \'0\' ,'
		. '`xswidth` INT NOT NULL DEFAULT \'12\' ,'
		. '`smwidth` INT NOT NULL DEFAULT \'4\' ,'
		. '`mdwidth` INT NOT NULL DEFAULT \'3\' ,'
		. '`lgwidth` INT NOT NULL DEFAULT \'3\' ,'
		. '`showtitle` INT NOT NULL DEFAULT \'0\' ,'
		. '`rowflex` INT NOT NULL DEFAULT \'0\' ,'
		. 'PRIMARY KEY (section_id)'
		. ')';
	$database->query($mod_btcolumns_settings);
	

}

?>
