<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.0.1
 * @lastmodified    July 11, 2015
 */
 
// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  

if (!function_exists('db_add_field')) {
	function db_add_field($field, $table, $desc) {
		global $database;
		$query = $database->query("DESCRIBE $table '$field'");
		if(!$query || $query->numRows() == 0) { // add field
			$query = $database->query("ALTER TABLE $table ADD $field $desc");
			echo (mysql_error()?mysql_error().'<br />':'');
			$query = $database->query("DESCRIBE $table '$field'");
			echo (mysql_error()?mysql_error().'<br />':'');
		}
	}
}
 
// Safely add field that was added after v1.0.0
$table_data = TABLE_PREFIX."mod_btcolumns_settings";
db_add_field("rowflex", $table_data, "INT NOT NULL DEFAULT '0'");
?>