<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.0.1
 * @lastmodified    July 11, 2015
 */
 
// Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
$sMediaUrl = WB_URL.MEDIA_DIRECTORY;

$query_settings = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_btcolumns_settings` WHERE section_id='$section_id' LIMIT 1");
$fetch_settings = $query_settings->fetchRow();
$showtitle = $admin->strip_slashes($fetch_settings['showtitle']);
$rowflex = $admin->strip_slashes($fetch_settings['rowflex']);
$xswidth = $admin->strip_slashes($fetch_settings['xswidth']);
$smwidth = $admin->strip_slashes($fetch_settings['smwidth']);
$mdwidth = $admin->strip_slashes($fetch_settings['mdwidth']);
$lgwidth = $admin->strip_slashes($fetch_settings['lgwidth']);

$flex = $rowflex ? 'eq-cols ':'';

$query_columns = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_btcolumns_content` WHERE section_id='".$section_id."' ORDER BY pos ASC");
if($cnt = $query_columns->numRows()) {

	echo '<div class="row">';
	echo '<div class="btcolumn-row">';
	while($quest = $query_columns->fetchRow()) {
		$title = $admin->strip_slashes($quest['title']);
		$content= $admin->strip_slashes($quest['content']);
		$content = str_replace('{SYSVAR:MEDIA_REL}', $sMediaUrl, $content );
		$wb->preprocess($content);

		echo '<div class="'.$flex.'col-xs-'.$xswidth.' col-sm-'.$smwidth.' col-md-'.$mdwidth.' col-lg-'.$lgwidth.'">';
		echo '	<div class="btcolumn">';
		if($showtitle) echo '		<div class="btcolumn-title">'.$title.'</div>';
		echo '		<div class="btcolumn-content">'.$content.'</div>';
		echo '	</div>';
		echo '</div>';
	}
	echo '</div>';
	echo '</div>';
	
}

?>
