<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.0.1
 * @lastmodified    July 11, 2015
 */
 
require('../../config.php');

// Include WB admin wrapper script
$update_when_modified = true; // Tells script to update when this page was last updated
require(WB_PATH.'/modules/admin.php');

// This code removes any php tags and adds slashes
$xswidth = $admin->add_slashes(str_replace('?php', '', $_POST['xswidth']));
$smwidth = $admin->add_slashes(str_replace('?php', '', $_POST['smwidth']));
$mdwidth = $admin->add_slashes(str_replace('?php', '', $_POST['mdwidth']));
$lgwidth = $admin->add_slashes(str_replace('?php', '', $_POST['lgwidth']));
$showtitle = $admin->add_slashes(str_replace('?php', '', $_POST['showtitle']));
$rowflex = $admin->add_slashes(str_replace('?php', '', $_POST['rowflex']));

// Update settings
$database->query("UPDATE ".TABLE_PREFIX."mod_btcolumns_settings SET "
	." showtitle = '$showtitle', "
	." rowflex = '$rowflex', "
	." xswidth = '$xswidth', "
	." smwidth = '$smwidth', "
	." mdwidth = '$mdwidth', "
	." lgwidth = '$lgwidth' "
	." WHERE section_id = '$section_id'");

// Check if there is a db error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
} else {
	$admin->print_success($TEXT['SUCCESS'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

// Print admin footer
$admin->print_footer();

?>
